#version=DEVEL

reboot

ignoredisk --only-use=sda
autopart --type=lvm
# Clear the Master Boot Record
zerombr
# Partition clearing information
clearpart --all --initlabel

# Use network installation
#url --url="http://dl.fedoraproject.org/pub/fedora/linux/releases/30/Everything/x86_64/os/"

# Keyboard layouts
keyboard --vckeymap=us --xlayouts='us'
# System language
lang en_US.UTF-8

# Network information
network  --bootproto=dhcp --device=ens192 --ipv6=auto --activate

# Root password
rootpw --lock --plaintext {{vm_password}}
# Disable Setup Agent on first boot
firstboot --disable
# Boot into the X Window System
xconfig --startxonboot
# System services
services --enabled="chronyd"
# System timezone
timezone America/New_York --isUtc
user --groups=wheel --name={{vm_user}} --password={{vm_password}}

%post
# Workstation has ssh disabled by default
systemctl enable sshd
# Some have firewalld blocking ssh
firewall-cmd --permanent --zone=public --add-service=ssh
firewall-cmd --reload 

%end

%packages
@^workstation-product-environment

%end

